## groovy.model
Class DefaultTableColumn

    java.lang.Object
      javax.swing.table.TableColumn
          groovy.model.DefaultTableColumn

All Implemented Interfaces:
  Serializable

    public class DefaultTableColumn

extends TableColumn

Represents a column using a ValueModel to extract the value.

Version:
  $Revision: 6778 $
Author:
  James Strachan
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.table.TableColumn
`CELL_RENDERER_PROPERTY, cellEditor, cellRenderer, COLUMN_WIDTH_PROPERTY, HEADER_RENDERER_PROPERTY, HEADER_VALUE_PROPERTY, headerRenderer, headerValue, identifier, isResizable, maxWidth, minWidth, modelIndex, resizedPostingDisableCount, width`

Constructor Summary
`DefaultTableColumn(Object header, ValueModel valueModel)`
`DefaultTableColumn(ValueModel valueModel)`

Method Summary
`Class` `getType()`
`Object` `getValue(Object row, int rowIndex, int columnIndex)` Evaluates the value of a cell
`ValueModel` `getValueModel()`
`void` `setValue(Object row, Object value, int rowIndex, int columnIndex)`
`String` `toString()`

Methods inherited from class javax.swing.table.TableColumn

`addPropertyChangeListener, createDefaultHeaderRenderer, disableResizedPosting, enableResizedPosting, getCellEditor, getCellRenderer, getHeaderRenderer, getHeaderValue, getIdentifier, getMaxWidth, getMinWidth, getModelIndex, getPreferredWidth, getPropertyChangeListeners, getResizable, getWidth, removePropertyChangeListener, setCellEditor, setCellRenderer, setHeaderRenderer, setHeaderValue, setIdentifier, setMaxWidth, setMinWidth, setModelIndex, setPreferredWidth, setResizable, setWidth, sizeWidthToFit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultTableColumn

    public DefaultTableColumn(ValueModel valueModel)

### DefaultTableColumn

    public DefaultTableColumn(Object header,
                              ValueModel valueModel)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getValue

    public Object getValue(Object row,
                           int rowIndex,
                           int columnIndex)

  Evaluates the value of a cell

  Parameters:
    `row` - the row of interest
    `rowIndex` - the index of the row of interest
    `columnIndex` - the column of interest
  Returns:
    the value

### setValue

    public void setValue(Object row,
                         Object value,
                         int rowIndex,
                         int columnIndex)

### getType

    public Class getType()

  Returns:
    the column type

### getValueModel

    public ValueModel getValueModel()

Copyright © 2003-2008 The Codehaus. All rights reserved.